using System;
using RepPP;

namespace RepPP.Toolkit {

    //********************************************************************************
    //
	/// <summary>
	/// IDataAcess:         Interface for transaction data access layer
	/// </summary>
    //
    //********************************************************************************
	public interface ITransactionDataAccess : IDisposable {

        //********************************************************************************
        //
	    /// <summary>
	    /// LoadTransactionData:            Load the transaction data from the database
	    /// </summary>
	    /// <param name="cinst">            Card instance used to return the data</param>
	    /// <param name="arrKeyValues">     Array of key values</param>
	    /// <returns>
	    /// Error code
	    /// </returns>
	    //
        //********************************************************************************
        int LoadTransactionData(CardInstance cinst, string[] arrKeyValues);

        //********************************************************************************
        //
	    /// <summary>
	    /// SaveTransactionData:            Save data to the database
	    /// </summary>
	    /// <param name="cinst">            Card instance containing the data</param>
	    /// <param name="strDBErrMessage">  The database error message</param>
	    /// <returns>
	    /// Error code
	    /// </returns>
	    //
        //********************************************************************************
        int SaveTransactionData(CardInstance cinst, out string strDBErrMessage);
    }
}
